Subject: RE: TTL value of VC Label?

From: "Vach Kompella" <[email-masked]>
Date: Thu, 1 May 2003 11:29:52 -0700

I too would like to see the value not specified as 2.  Splicing PWs as a L2
service and still having a TTL is a secondary security against loops for a
service that extends beyond the scope of the tunnel.  It also provides nice
"traceroute" capabilities, with L2 service aware nodes handling TTL expiration.

-Vach

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]]On Behalf Of Wei
> Luo
> Sent: Thursday, May 01, 2003 11:08 AM
> To: Alik Shimelmits
> Cc: [email-masked]; [email-masked]; Yaron Nachman;
> [email-masked]'; Eli Angel; Ilya Vershkov
> Subject: Re: [PWE3] TTL value of VC Label?
>
>
> In the PW splicing scenario, it's not really the same as normal MPLS
> switching.
> Typically, one PW is terminated at the splicing PE and another
> (different PW) is
> initiated.  This means packets arrived from one PW will remove its current PW
> encapsulation, e.g. tunnel and vc labels, and then add a new PW
> encapsulation.
> In this way, it allows the data path to have a unified packet processing
> behavior regardless what PW encapsulation is used in each leg.  For example,
> MPLS PW - MPLS PW, MPLS PW - L2TP PW, L2TP PW - MPLS PW, L2TP PW - L2TP PW can
> all have the same data plane implementation, instead of one flavor for a
> different combination.  I am speaking of what's more suitable from
> implementation point of view.
>
> In the PW splicing case, the TTL of 2 would work.  Of course, simply
> specifying
> it anything larger than 2 would work too.
>
> ---Wei
>
> Alik Shimelmits wrote:
> >
> > I agree with Eric
> >         Alik
> >
> > -----Original Message-----
> > From: Eric Rosen [mailto:[email-masked]]
> > Sent: Thursday, May 01, 2003 4:56 PM
> > To: [email-masked]
> > Cc: Yaron Nachman; [email-masked]'; Eli Angel; Ilya Vershkov
> > Subject: Re: [PWE3] TTL value of VC Label?
> >
> > Stewart> We changed it to the value 2
> >
> > I don't think this is a good idea.
> >
> > Suppose one of the two attachment  circuits bound together by a pw is itself
> > a pw.  Now you'd like ordinary MPLS  switching to be able to move the packet
> > from  one  pw to  the  other,  but  the TTL  of  2  will prevent  this  from
> > happening.
> >
> > The "Distributed VPLS"  model also gives rise to a number  of cases in which
> > one wants to splice together two pws.
> >
> > I don't  think there  should be any  requirement on  the setting of  the TTL
> > value.
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> > _______________________________________________
> > pwe3 mailing list
> > [email-masked]
> > https://www1.ietf.org/mailman/listinfo/pwe3
> _______________________________________________
> pwe3 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/pwe3
>

---

From: Eric Rosen <[email-masked]>
Date: Thu, 01 May 2003 14:52:19 -0400

Wei> packets arrived from  one PW will remove its  current PW encapsulation,
Wei> e.g. tunnel  and vc labels,  and then add  a new PW  encapsulation.  In
Wei> this way, it  allows the data path to have  a unified packet processing
Wei> behavior regardless what PW encapsulation is used in each leg. 

I guess  I don't agree.  If  you're splicing together  two MPLS pseudowires,
you should  be able to  use existing MPLS  forwarding hardware, and  just do
ordinary MPLS label replacement with ordinary MPLS TTL processing. 

In fact,  even in the  case where you  are moving from one  encapsulation to
another I think you want to make sure that the outgoing TTL is one less than
the  incoming   TTL,  in  order   to  maintain  the  usual   loop  detection
functionality of TTL.